<template>
  <div  class="map">
    <l-map
      v-model="zoom"
      v-model:zoom="zoom"
      :center="center"
      @move="log('move')"
      :scrollWheelZoom="false"
    >
      <l-tile-layer
        url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
      ></l-tile-layer>
      <l-control-layers />
      <l-marker :lat-lng="[elem.geometry.coordinates[1], elem.geometry.coordinates[0]]"  @moveend="log('moveend')" v-for="elem in data" v-bind:key="elem.ENT_ID_SIREN">
        <l-tooltip>
          <strong>{{ elem.ENT_ID_SIREN }}</strong><br>
            {{ elem.ENT_ADR_NUMERO_VOIE }}
            {{ elem.ENT_ADR_TYPE_VOIE }}
            {{ elem.ENT_ADR_ADRESSE }}
            {{ elem.ENT_ADR_CODE_POSTAL }}
            {{ elem.ENT_ADR_COMMUNE }}<br>
        </l-tooltip>
      </l-marker>
<l-geo-json :geojson="zone"></l-geo-json>
    </l-map>
   
  </div>
</template>
<script>
import {
  LMap,
  // LIcon,
  LTileLayer,
  LMarker,
  LControlLayers,
  LTooltip,
  // LPopup,
  // LPolyline,
  // LPolygon,
  // LRectangle,
  LGeoJson,
} from "@vue-leaflet/vue-leaflet";
import "leaflet/dist/leaflet.css";

export default {
  components: {
    LMap,
    // LIcon,
    LTileLayer,
    LMarker,
    LControlLayers,
    LTooltip,
    // LPopup,
    // LPolyline,
    // LPolygon,
    // LRectangle,
    LGeoJson,
  },
  async created() {
    // const response = await fetch(
    //   "https://rawgit.com/gregoiredavid/france-geojson/master/regions/pays-de-la-loire/communes-pays-de-la-loire.geojson"
    // );
    // this.geojson = await response.json();
  },
  data() {
    return {
      zoom: 16,
      geojson: null,

    };
  },
  props: {
    data: Array,
    center: Array,
    zone: Array,
    //center: todo
  },
  computed: {},
  methods: {
    log(a) {
      console.log(a);
    },
    changeIcon() {
      this.iconWidth += 2;
      if (this.iconWidth > this.iconHeight) {
        this.iconWidth = Math.floor(this.iconHeight / 2);
      }
    },
  },
};
</script>
<style scoped>
.map {
  height: 75vh;
  width: 90vw;
  margin: auto;
}
@media (max-device-width:768px) and (orientation: portrait) {
    .map {
      height: 90vw;
    }
}
</style>
